Package org.alfresco.rest.model
Class RestCDModel
java.lang.Object
org.alfresco.utility.model.TestModel
org.alfresco.rest.model.RestCDModel
- All Implemented Interfaces:
IModelAssertion<RestCDModel>,IRestModel<RestCDModel>,org.alfresco.utility.model.Model
public class RestCDModel
extends org.alfresco.utility.model.TestModel
implements IRestModel<RestCDModel>
TAS model representing a cascading dictionary entry. Maps to
CDResponse returned by GET /cascading-dictionaries and GET /cascading-dictionaries/{aspectId} REST API endpoints.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptiongetData()getName()onModel()voidvoidsetCreatedAt(Date createdAt) voidsetData(List<RestCDNodeModel> data) voidsetKeyProperty(String keyProperty) voidsetLevels(List<RestCDLevelModel> levels) voidsetModifiedAt(Date modifiedAt) voidvoidsetVersion(String version) voidsetVersionProperty(String versionProperty) Methods inherited from class org.alfresco.utility.model.TestModel
setRandomValuesForAllFields, toInfo, toJson, toStringMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitMethods inherited from interface org.alfresco.rest.core.assertion.IModelAssertion
and, assertThat
-
Constructor Details
-
RestCDModel
public RestCDModel()
-
-
Method Details
-
onModel
- Specified by:
onModelin interfaceIRestModel<RestCDModel>
-
getName
-
setName
-
getAspect
-
setAspect
-
getKeyProperty
-
setKeyProperty
-
getVersionProperty
-
setVersionProperty
-
getVersion
-
setVersion
-
getCreatedAt
-
setCreatedAt
-
getModifiedAt
-
setModifiedAt
-
getLevels
-
setLevels
-
getData
-
setData
-